<sqtm-core-entity-view-wrapper [sqtmCoreViewId]="'bug-tracker-view'">
  <div class="flex full-height full-width neutral-background-color">
    @if (componentData$ | async; as componentData) {
      <div class="flex-column full-width">
        <div class="flex-row full-width">
          <sqtm-app-admin-view-header
            class="full-width p-t-10 p-r-20"
            [entityNameKey]="'name'"
            [dropdownMenu]="bugTrackerMenu"
            [showMenu]="true"
          >
            <div class="flex-column m-t-10" style="width: 40px">
              <sqtm-core-close-button class="m-b-20"></sqtm-core-close-button>
              <sqtm-core-fold-button></sqtm-core-fold-button>
            </div>
          </sqtm-app-admin-view-header>
        </div>
        <div class="flex-row full-width full-height">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                <sqtm-core-anchor-group [id]="'content'">
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    sqtmCoreDefaultAnchorLink
                    [id]="'information'"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.information.plural' | translate
                    "
                    [iconName]="'sqtm-core-administration:information'"
                  >
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'authentication-protocol'"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.server.auth-protocol.label' | translate
                    "
                    [iconName]="'sqtm-core-administration:security'"
                  >
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'authentication-policy'"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.server.auth-policy.label' | translate
                    "
                    [iconName]="'sqtm-core-administration:authentication'"
                  >
                  </sqtm-core-anchor-link>
                  @if (componentData.bugTracker.allowsReportingCache) {
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'reporting-cache'"
                      [nzTooltipTitle]="
                        'sqtm-core.entity.bugtracker.cache-configuration.title'
                          | translate
                      "
                      [iconName]="'sqtm-core-administration:caching'"
                    >
                    </sqtm-core-anchor-link>
                  }
                </sqtm-core-anchor-group>
              </sqtm-core-anchor>
            </div>
          </div>
          <div class="admin-contextual-content-body full-height full-width">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    }
  </div>

  <nz-dropdown-menu #bugTrackerMenu="nzDropdownMenu">
    <ul nz-menu [attr.data-test-menu-id]="'bug-trackers-menu'">
      <li
        nz-menu-item
        class="sqtm-core-error-message"
        [attr.data-test-menu-item-id]="'delete-bug-tracker'"
        (click)="handleDelete()"
      >
        {{ 'sqtm-core.generic.label.delete' | translate }}
      </li>
    </ul>
  </nz-dropdown-menu>
</sqtm-core-entity-view-wrapper>
